Bug 1995873 - OpenShift SDN doesn't add NOTRACK rule to raw iptables table to prevent vxlan from reaching conntrack
Summary: OpenShift SDN doesn't add NOTRACK rule to raw iptables table to prevent vxlan...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Andrew Stoycos
QA Contact: Ying Wang
URL:
Whiteboard:
Depends On: 1995872
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-20 02:06 UTC by OpenShift BugZilla Robot
Modified: 2021-10-01 14:14 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-22 20:06:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift sdn pull 339 0 None None None 2021-09-07 21:00:44 UTC
Red Hat Product Errata RHBA-2021:3517 0 None None None 2021-09-22 20:06:38 UTC

Comment 3 Ying Wang 2021-09-08 15:09:02 UTC
created cluster on cluster-bot using openshift/sdn/pull/339, this issue is fixed.


sh-4.4# iptables -t raw -S
-P PREROUTING ACCEPT
-P OUTPUT ACCEPT
-N OPENSHIFT-NOTRACK
-A PREROUTING -m comment --comment "disable conntrack for vxlan" -j OPENSHIFT-NOTRACK
-A OUTPUT -m comment --comment "disable conntrack for vxlan" -j OPENSHIFT-NOTRACK
-A OPENSHIFT-NOTRACK -p udp -m udp --dport 4789 -j NOTRACK
sh-4.4# exit


%  oc version
Client Version: 4.9.0-0.nightly-2021-08-18-144658
Server Version: 4.6.0-0.ci.test-2021-09-08-134416-ci-ln-tdptys2-latest
Kubernetes Version: v1.19.2-1085+1cec8759126205-dirty

Comment 8 Ying Wang 2021-09-10 02:56:53 UTC
Checked on version 4.6.0-0.nightly-2021-09-09-165319, issue is fixed.


sh-4.4# iptables -t raw -S
-P PREROUTING ACCEPT
-P OUTPUT ACCEPT
-N OPENSHIFT-NOTRACK
-A PREROUTING -m comment --comment "disable conntrack for vxlan" -j OPENSHIFT-NOTRACK
-A OUTPUT -m comment --comment "disable conntrack for vxlan" -j OPENSHIFT-NOTRACK
-A OPENSHIFT-NOTRACK -p udp -m udp --dport 4789 -j NOTRACK


% oc version
Client Version: 4.9.0-0.nightly-2021-08-18-144658
Server Version: 4.6.0-0.nightly-2021-09-09-165319
Kubernetes Version: v1.19.0+1cec875

Comment 11 errata-xmlrpc 2021-09-22 20:06:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.45 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3517


Note You need to log in before you can comment on or make changes to this bug.